<template>
  <div
    class="flex flex-col items-start gap-y-10 p-5 border border-rose-600 rounded-md"
  >
    <div class="flex gap-x-5">
      <span class="text-rose-600 text-xl font-semibold tracking-wide">
        Avatar
      </span>
      <label
        class="px-2 py-1 flex justify-center items-center rounded-sm transition bg-blue-600 hover:bg-blue-500 font-semibold text-white"
      >
        <span v-if="!fileName">Pick file</span>
        <span v-else>{{ fileName }}</span>
        <input @change="setFile" type="file" class="hidden" />
      </label>
    </div>
    <img v-if="imgSrc" :src="imgSrc" alt="img" class="w-[300px]" />
  </div>
</template>

<script setup lang="ts">
const emit = defineEmits(["pick-img"]);

const fileName = ref();
const imgSrc = ref();

const setFile = (e: any) => {
  const file = e.target.files[0];
  if (!file?.name) return;
  fileName.value = file?.name;
  imgSrc.value = URL.createObjectURL(file);
  emit("pick-img", file);
};

const refreshFile = () => {
  fileName.value = null;
  imgSrc.value = null;
};
</script>

<style scoped></style>
